Subject: Congratulations!! View The Attachment And Contact Us For Your Claim

From: International Powerball <[email-masked]>
Date: Wed, 15 Feb 2012 04:52:48 -0800 (PST)

Congratulations!! View The Attachment And Contact Us For Your Claim